%The script generates Figure_7b, P-P plot of population paramerized by CO_2 emission%
%Author: Qin Liu%

%year%
year=xlsread('Figure_7b',0,0,[1,11,31,11]);
%theoretical population data of the year 1980%
theo1980=xlsread('Figure_7b',0,0,[3,4,226,4]);
%empirical population data of the year 1980. Data of 1990, 2000,2010 follows the same name rules showing below%
pop1980=xlsread('Figure_7b',0,0,[3,3,226,3]);
theo1990=xlsread('Figure_7b',0,0,[3,6,226,6]);
pop1990=xlsread('Figure_7b',0,0,[3,5,226,5]);
theo2000=xlsread('Figure_7b',0,0,[3,8,226,8]);
pop2000=xlsread('Figure_7b',0,0,[3,7,226,7]);
theo2010=xlsread('Figure_7b',0,0,[3,9,226,9]);
pop2010=xlsread('Figure_7b',0,0,[3,10,226,10]);
format long;

%x range and y range%
xc=0:0.0001:1;
yc=xc;

%generate the digonal line%
plot(yc,xc,'k--');
hold on
%line for 2010%
plot(theo2010,pop2010,'r.-');
hold on
plot(theo2000,pop2000,'.-','Color',[0 .4 .3]);
hold on
plot(theo1990,pop1990,'.-','Color',[.3 .2 0]);
hold on
plot(theo1980,pop1980,'.-','Color',[0 0 1]);
hold on

%highlight few point representing important countries%
highlightx=[theo1980(86,1),theo1980(127,1),theo1980(130,1),theo1980(188,1),theo1980(195,1),theo1980(197,1),theo1980(214,1)];
highlighty=[pop1980(86,1),pop1980(127,1),pop1980(130,1),pop1980(188,1),pop1980(195,1),pop1980(197,1),pop1980(214,1)];
plot(highlightx,highlighty,'b.','MarkerSize',25);
hold on
highlightxx=[theo2010(79,1),theo2010(101,1),theo2010(151,1),theo2010(152,1),theo2010(174,1),theo2010(194,1),theo2010(210,1)];
highlightyy=[pop2010(79,1),pop2010(101,1),pop2010(151,1),pop2010(152,1),pop2010(174,1),pop2010(194,1),pop2010(210,1)];
plot(highlightxx,highlightyy,'r.','MarkerSize',25);
hold off

%set axis properties%
axis([0,1,0,1]);
set(gca,'xtick',[0:0.1:1])
set(gca,'ytick',[0:0.1:1])
axis square;

%set title and legend properties%
t=title('P-P Plot of Global CO_{2} Emission');
t19=xlabel('Fraction of Global Population (Theory)');
t20=ylabel('Fraction of Global Population (Empirical)');
set(t,'Fontsize',16);
set(t19,'Fontsize',16);
set(t20,'Fontsize',16);
h=legend('Theory','2010','2000','1990','1980',2);
set(h,'Fontsize',16);

%label highlighted points. Position may not be accurate, further ajustment
%is needed%
t6=text(0.08,0.6,'Data Source: EIA');
t7=text(.93,.95,'USA');
t8=text(.33,.45,'CHN');
t9=text(.68,.66,'RUS');
t10=text(.62,.60,'FRA');
t11=text(.50,.55,'UK');
t12=text(.38,.22,'BRA');
t13=text(.32,.10,'IND');
t14=text(.23,.05,'IND');
t15=text(.57,.07,'CHN');
t16=text(.68,.08,'BRA');
t17=text(.84,.33,'UK');
t18=text(.92,.55,'FRA');
t18a=text(1.01,0.95,'USA');
t18b=text(0.915,0.57,'USSR');
set(t6,'Fontsize',15);
set(t7,'Fontsize',16,'Color','r');
set(t8,'Fontsize',16,'Color','r');
set(t9,'Fontsize',16,'Color','r');
set(t10,'Fontsize',16,'Color','r');
set(t11,'Fontsize',16,'Color','r');
set(t12,'Fontsize',16,'Color','r');
set(t13,'Fontsize',16,'Color','r');
set(t14,'Fontsize',16,'Color','b');
set(t15,'Fontsize',16,'Color','b');
set(t16,'Fontsize',16,'Color','b');
set(t17,'Fontsize',16,'Color','b');
set(t18,'Fontsize',16,'Color','b');
set(t18a,'Fontsize',16,'Color','b');
set(t18b,'Fontsize',16,'Color','b');



